Bug 153667 - [PATCH] comsat(8): libexec/comsat/comsat.c: gratuitous newline
Summary: [PATCH] comsat(8): libexec/comsat/comsat.c: gratuitous newline
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 8.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jaakko Heinonen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-04 00:20 UTC by Craig Leres
Modified: 2011-07-03 08:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2011-01-04 00:20:06 UTC
     There is a gratuitous newline in a debugging syslog format in
     comsat.c.

Fix: 

This is a multi-part message in MIME format.
 --------------020501070908030102000902
 Content-Type: text/plain; charset=ISO-8859-1
 Content-Transfer-Encoding: 7bit
 
 -----BEGIN PGP SIGNED MESSAGE-----
 Hash: SHA1
 
     Patch attached.
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v1.4.11 (FreeBSD)
 Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
 
 iEYEARECAAYFAk0iZlcACgkQWxlAhAje3JvBywCfa8THYLpwQpfilZCu2wqCTFrr
 Br8AnRFqvVRt440vIE6npUZrbgnwVaAP
 =ey9S
 -----END PGP SIGNATURE-----
 
 --------------020501070908030102000902
 Content-Type: text/plain;
  name="patch-comsat.c"
 Content-Transfer-Encoding: 7bit
 Content-Disposition: attachment;
  filename="patch-comsat.c"
 
 --- comsat.c.virgin	2011-01-03 15:58:20.000000000 -0800
 +++ comsat.c	2011-01-03 16:05:36.000000000 -0800
 @@ -219,7 +219,7 @@
  		dsyslog(LOG_DEBUG, "%s: wrong mode on %s", utp->ut_name, tty);
  		return;
  	}
 -	dsyslog(LOG_DEBUG, "notify %s on %s\n", utp->ut_name, tty);
 +	dsyslog(LOG_DEBUG, "notify %s on %s", utp->ut_name, tty);
  	switch (fork()) {
  	case -1:
  		syslog(LOG_NOTICE, "fork failed (%m)");
 
 --------------020501070908030102000902
 Content-Type: application/octet-stream;
  name="patch-comsat.c.sig"
 Content-Transfer-Encoding: base64
 Content-Disposition: attachment;
  filename="patch-comsat.c.sig"
 
 iEYEABECAAYFAk0iZlcACgkQWxlAhAje3JuFdwCdGhXZi6VL+717wvA0/D38ouoyv+8An37g
 RRKs+7hxNzPLz927CL4BZMKe
 --------------020501070908030102000902--
Comment 1 Jaakko Heinonen freebsd_committer 2011-06-07 17:11:46 UTC
Responsible Changed
From-To: freebsd-bugs->jh

Take.
Comment 2 dfilter freebsd_committer 2011-06-07 17:23:40 UTC
Author: jh
Date: Tue Jun  7 16:23:27 2011
New Revision: 222825
URL: http://svn.freebsd.org/changeset/base/222825

Log:
  Remove a gratuitous newline. This should be a non-functional change.
  
  PR:		bin/153667
  Submitted by:	Craig Leres
  MFC after:	1 week

Modified:
  head/libexec/comsat/comsat.c

Modified: head/libexec/comsat/comsat.c
==============================================================================
--- head/libexec/comsat/comsat.c	Tue Jun  7 15:40:17 2011	(r222824)
+++ head/libexec/comsat/comsat.c	Tue Jun  7 16:23:27 2011	(r222825)
@@ -180,7 +180,7 @@ notify(struct utmpx *utp, char file[], o
 		dsyslog(LOG_DEBUG, "%s: wrong mode on %s", utp->ut_user, tty);
 		return;
 	}
-	dsyslog(LOG_DEBUG, "notify %s on %s\n", utp->ut_user, tty);
+	dsyslog(LOG_DEBUG, "notify %s on %s", utp->ut_user, tty);
 	switch (fork()) {
 	case -1:
 		syslog(LOG_NOTICE, "fork failed (%m)");
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 3 Jaakko Heinonen freebsd_committer 2011-06-07 17:25:29 UTC
State Changed
From-To: open->patched

Patched in head (r222825).
Comment 4 dfilter freebsd_committer 2011-07-03 08:15:14 UTC
Author: jh
Date: Sun Jul  3 07:14:48 2011
New Revision: 223733
URL: http://svn.freebsd.org/changeset/base/223733

Log:
  MFC r222825: Remove a gratuitous newline.
  
  PR:		bin/153667

Modified:
  stable/8/libexec/comsat/comsat.c
Directory Properties:
  stable/8/libexec/comsat/   (props changed)

Modified: stable/8/libexec/comsat/comsat.c
==============================================================================
--- stable/8/libexec/comsat/comsat.c	Sat Jul  2 23:42:04 2011	(r223732)
+++ stable/8/libexec/comsat/comsat.c	Sun Jul  3 07:14:48 2011	(r223733)
@@ -219,7 +219,7 @@ notify(struct utmp *utp, char file[], of
 		dsyslog(LOG_DEBUG, "%s: wrong mode on %s", utp->ut_name, tty);
 		return;
 	}
-	dsyslog(LOG_DEBUG, "notify %s on %s\n", utp->ut_name, tty);
+	dsyslog(LOG_DEBUG, "notify %s on %s", utp->ut_name, tty);
 	switch (fork()) {
 	case -1:
 		syslog(LOG_NOTICE, "fork failed (%m)");
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2011-07-03 08:17:11 UTC
Author: jh
Date: Sun Jul  3 07:16:59 2011
New Revision: 223734
URL: http://svn.freebsd.org/changeset/base/223734

Log:
  MFC r222825: Remove a gratuitous newline.
  
  PR:		bin/153667

Modified:
  stable/7/libexec/comsat/comsat.c
Directory Properties:
  stable/7/libexec/comsat/   (props changed)

Modified: stable/7/libexec/comsat/comsat.c
==============================================================================
--- stable/7/libexec/comsat/comsat.c	Sun Jul  3 07:14:48 2011	(r223733)
+++ stable/7/libexec/comsat/comsat.c	Sun Jul  3 07:16:59 2011	(r223734)
@@ -215,7 +215,7 @@ notify(struct utmp *utp, char file[], of
 		dsyslog(LOG_DEBUG, "%s: wrong mode on %s", utp->ut_name, tty);
 		return;
 	}
-	dsyslog(LOG_DEBUG, "notify %s on %s\n", utp->ut_name, tty);
+	dsyslog(LOG_DEBUG, "notify %s on %s", utp->ut_name, tty);
 	if (fork())
 		return;
 	(void)signal(SIGALRM, SIG_DFL);
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 6 Jaakko Heinonen freebsd_committer 2011-07-03 08:27:25 UTC
State Changed
From-To: patched->closed

Fixed in head, stable/8 and stable/7.